<div class="vh-100">
    <div class="d-flex border-bottom shadow-sm">
        <div class="position-relative flex-grow-1">
            <img src="assets/thumbnail_Left_Top.jpg" class="w-75 h-100 position-absolute start-0 top-0" alt="Right Image">
        </div>
        <div>
            <app-search-nav-bar></app-search-nav-bar>
        </div>
        <div class="position-relative flex-grow-1">
            <img src="assets/thumbnail_Right_Top.jpg" class="w-75 h-100 position-absolute end-0 top-0"  alt="Right Image">
        </div>
    </div>
    <div class="container mt-3">
      <div *ngIf="teamInfo" class="row">
        <div class="col-md-4 d-flex justify-content-center">
          <img [src]="teamInfo.logo" [alt]="teamInfo.name + ' logo'" class="img-thumbnail" style="width: 300px; height: 300px;">
        </div>
        <div class="col-md-8">
          <div class="row">
            <div class="col-md-6">
              <h6>Team Name</h6>
              <p>{{teamInfo.name}}</p>
            </div>
            <div class="col-md-6">
              <h6>City</h6>
              <p>{{teamInfo.city}}</p>
            </div>
          </div>
          <div class="row">
            <div class="col-md-6">
              <h6>Team Code</h6>
              <p>{{teamInfo.code}}</p>
            </div>
            <div class="col-md-6">
              <h6>Team Nickname</h6>
              <p>{{teamInfo.nickname}}</p>
            </div>
          </div>
          <div class="row">
            <div class="col-md-6">
              <h6>Conference</h6>
              <p>{{teamInfo.leagues.standard.conference}}</p>
            </div>
            <div class="col-md-6">
              <h6>Division</h6>
              <p>{{teamInfo.leagues.standard.division}}</p>
            </div>
          </div>
        </div>
      </div>
      <div *ngIf="!teamInfo" class="text-center row">
        <h3>No TeamInfo Data Available</h3>
        <p>See console for errors</p>
      </div>
      <div class="container d-table">
        <div class="d-table-cell align-middle">
            <div>
                <h4 *ngIf="teamInfo" class="text-center">{{teamInfo.name + ' Stats'}}</h4>
                <div class="d-flex justify-content-around mb-3">
                    <form [formGroup]="seasonSelectForm" class="form-group w-50 d-flex justify-content-center">
                        <select class="form-select w-25" id="seasonSelectElement" formControlName="seasonSelect" (change)="UpdateSeasonSelection()">
                            <option value="">Seasons</option>
                            <option value="2020">2020</option>
                            <option value="2021">2021</option>
                            <option value="2022">2022</option>
                            <option value="2023">2023</option>
                        </select>
                    </form>
                </div>
                <app-stat-table 
                    [rowData]="rowData"
                    [columnDefs]="colDef">
                </app-stat-table>
            </div>
        </div>
    </div>
    </div>
  </div>